SoulFire LogoSoulFire

Renew bot control

POST
/v1/instances/{instance_id}/bots/{bot_id}/control:renew

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

instance_id*string
Formatuuid
bot_id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

token*string
ttlSeconds?integer
Formatint64
Range0 <= value <= 4294967295

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/control:renew" \  -H "Content-Type: application/json" \  -d '{    "token": "string"  }'
{  "lease": {    "token": "string",    "expiresAt": "2019-08-24T14:15:22Z"  }}

How is this page?